## CcPanel

CcPanel — An abstract class for Control Center panels

## Synopsis

    struct              CcPanel;
    struct              CcPanelClass;
    CcShell *           cc_panel_get_shell                  (CcPanel *panel);

## Description

CcPanel is an abstract class used to implement panels for the shell. A panel contains a collection of related settings that are displayed within the shell window.

## Details

### struct CcPanel

    struct CcPanel {
    };

The contents of this struct are private and should not be accessed directly.

### struct CcPanelClass

    struct CcPanelClass {
    };

The contents of this struct are private and should not be accessed directly.

### cc_panel_get_shell ()

    CcShell *           cc_panel_get_shell                  (CcPanel *panel);

Get the shell that the panel resides in

`panel` : | A CcPanel
Returns : | a CcShell